Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 452842

Summary: Review Request: monotorrent - a bit torrent client for mono
Product: [Fedora] Fedora Reporter: Paul F. Johnson <paul>
Component: Package ReviewAssignee: David Nielsen <gnomeuser>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora-package-review, gnomeuser, kevin, notting
Target Milestone: ---Flags: gnomeuser: fedora-review+
kevin: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: monotorrent-0.4-2.fc10 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-08-28 08:54:04 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Paul F. Johnson 2008-06-25 12:43:00 UTC
Spec URL: http://pfj.fedorapeople.org/monotorrent.spec
SRPM URL: http://pfj.fedorapeople.org/monotorrent-0.4-1.fc10.src.rpm
Description: 
monotorrent is a bittorrent client for mono.

Comment 1 Michal Nowak 2008-06-25 20:20:10 UTC
Informal package review:
========================

-Group:          Development/Languages
-License:        X11/MIT
+Group:          Applications/Internet
+License:        MIT

* Found group which fits better.
* https://fedoraproject.org/wiki/Licensing claims X11 to be MIT
* NOTE: In sources is MIT but in COPYRIGHT file is GNU GPLv2. From my POV: It'd
be good to contact author and ask him to be clear on this.
 
 # Bug 241850 - no Mono on pp64
-ExclusiveArch: %ix86 x86_64 ppc ia64 armv4l sparc alpha
+ExcludeArch:    ppc64

* I guess this is saner.
 
 %description
-Monotorrent is a bittorrent for mono
+Monotorrent is an open source bittorrent library. The main aim of this 
+library is to provide a rich API for developers to connect to so they 
+can harness BitTorrent for all downloading needs. 
 

* Some more descriptions.

 %package devel
-Summary: .pc file for monotorrent
+Summary: Development files for for monotorrent
 Group: Documentation
 Requires: %{name} = %{version}-%{release} pkgconfig

 %description devel
-Package config file for monotorrent
+Development files for for monotorrent

* Just a strings.
 
 %prep
 %setup -q
@@ -47,6 +49,7 @@ make DESTDIR=%{buildroot} install
 %{_libdir}/monotorrent/*
 
 %files devel
+%defattr(-,root,root,-)
 %{_libdir}/pkgconfig/monotorrent.pc
 

* This is necessary to have rpmlint silent.
--

[root@dhcp-lab-192 SPECS]# rpmlint monotorrent.spec
/usr/src/redhat/SRPMS/monotorrent-0.4-1.fc9.src.rpm
/usr/src/redhat/RPMS/i386/monotorrent-0.4-1.fc9.i386.rpm
/usr/src/redhat/RPMS/i386/monotorrent-devel-0.4-1.fc9.i386.rpm 
monotorrent.i386: E: no-binary
monotorrent.i386: E: only-non-binary-in-usr-lib
monotorrent-devel.i386: W: no-documentation
3 packages and 1 specfiles checked; 2 errors, 1 warnings.


* Take a look at this. Complaint of the /usr/bin/... stuff not to be binaries
(they are shell scripts).
* Dunno about the /usr/lib/ stuff. Hope someone experienced will see this BZ.
--

Please incorporate changes. Feel free to ask.

Comment 2 David Nielsen 2008-06-28 12:11:40 UTC
I'm back from vacation in Brazil now, so I will take this one. Review coming
shortly, I promise.

Comment 3 David Nielsen 2008-06-28 12:41:18 UTC
Thank you Paul for packaging up this, any hope for Monsoon in Fedora?

Since Michal already did fine work:

%defattr(-,root,root,-) needed for the devel package and the descriptions and
summaries need to be expanded a bit for clarity aside that this builds in mock
(rawhide-x86_64) and otherwise stands up to the requirements.

Clear up the license conflict as pointed out by Mr. Nowak.

Michal:
The exclusive line is a standard mono thing, we only have mono on certain
platforms and currently ppc64 is unsupported so we note it by removing it from
that exclusivearch line. It's not the clearest solution we know but it's
intended this way. The rpmlint stuff is standard, rpmlint doesn't know all it
needs to do to ignore this warning for mono packages - we tend to just ignore it
rantings.

I'll approve this, pending the license being worked out, Fedora makes no
guanteees as to the license tag so we can ship with mistakes and the rest of the
problems can be fixed up at import time.

APPROVED

Comment 4 Kevin Fenzi 2008-06-29 04:25:09 UTC
Paul: Can you add a cvs template here with what you want in your cvs request?

See: http://fedoraproject.org/wiki/PackageMaintainers/CVSAdminProcedure


Comment 5 Paul F. Johnson 2008-07-08 18:02:49 UTC
New Package CVS Request
=======================
Package Name: monotorrent
Short Description: Bittorrent client for .NET
Owners: pfj
Branches: f8, f9, rawhide
InitialCC: 
Cvsextras Commits: yes


Comment 6 Kevin Fenzi 2008-07-09 16:53:30 UTC
cvs done.

Comment 7 Michal Nowak 2008-07-22 12:40:10 UTC
You might want to close this BZ once is monotorrent live.

Comment 8 David Nielsen 2008-08-03 12:39:29 UTC
Paul do you plan to ever build this?

Comment 9 David Nielsen 2008-08-28 08:54:04 UTC
Okay spot built it on one of his license tag sprees